import 'package:flutter/material.dart';
import 'package:parodia_admin/core/dto/login.dto.dart';
import 'package:parodia_admin/core/dto/response_item.dto.dart';
import 'package:parodia_admin/core/http/parodia_http.dart';
import 'package:parodia_admin/core/model/body_data.model.dart';
import 'package:parodia_admin/core/repository/auth.repository.dart';

class ParodiaAuthProvider with ChangeNotifier {
  AuthRepository? _repository;

  ParodiaAuthProvider();
  ParodiaAuthProvider.init(ParodiaHTTP http) {
    _repository = AuthRepository(http);
  }

  Future<ResponseItemDTO<LoginDTO>> login(
      {String? email, LoginBody? loginBody}) async {
    return await _repository!.login(
      email: email,
      loginBody: loginBody,
    );
  }
}
